from api_graphql.abc.db_model_query_abc import DbModelQueryABC


class ApiKeyQuery(DbModelQueryABC):
    def __init__(self):
        DbModelQueryABC.__init__(self, "ApiKey")

        self.set_field("identifier", lambda x, *_: x.identifier)
        self.set_field("key", lambda x, *_: x.key)
